package sgc.portal.cw.cw0403.persistence;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0403.dto.CW04030001USearch;
import sgc.portal.cw.cw0403.model.CW04030001U;

import java.util.List;
import java.util.Map;

@Mapper
public interface CW04030001UMapper {
	
	//이테크 프로젝트 등록관리 조회
	List<EasyHashMap<String, Object>> selectZehrCareerPjtList(CW04030001USearch search);
	
	//이테크 프로젝트 등록관리 등록 변경 삭제
	void insertZehrCareerPjt(CW04030001U cW04030001U);
	void updateZehrCareerPjt(CW04030001U cW04030001U);
	void deleteZehrCareerPjt(CW04030001U cW04030001U);
}
